Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.proxy
Class ServerScoutLinkRewriter

    java.lang.Object
      scone.proxy.ServerScoutLinkRewriter

    public class ServerScoutLinkRewriter

extends java.lang.Object

Author:
  Harald Weinreich, Volkert Buchmann

Constructor Summary
`ServerScoutLinkRewriter()`
`ServerScoutLinkRewriter(java.lang.String base)`

Method Summary
`java.lang.String` | `getBase(ResponseToRequest responsetorequest)`
`void` | `initialize(java.lang.Object server)`
`java.lang.String` | `rewriteLink(ResponseToRequest responsetorequest, java.lang.String link)`
`java.lang.String` | `rewriteSource(ResponseToRequest responsetorequest, java.lang.String source)`
`void` | `setBase(java.lang.String base)`
`void` | `setServer(java.lang.String server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerScoutLinkRewriter

    public ServerScoutLinkRewriter()

### ServerScoutLinkRewriter

    public ServerScoutLinkRewriter(java.lang.String base)

Method Detail

### setBase

    public void setBase(java.lang.String base)

### setServer

    public void setServer(java.lang.String server)

### getBase

    public java.lang.String getBase(ResponseToRequest responsetorequest)

### initialize

    public void initialize(java.lang.Object server)

### rewriteLink

    public java.lang.String rewriteLink(ResponseToRequest responsetorequest,
                                        java.lang.String link)

### rewriteSource

    public java.lang.String rewriteSource(ResponseToRequest responsetorequest,
                                          java.lang.String source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD